Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Interface IPropertiesModifier

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  ReadOnlyDiagramPropertiesModifier

    public interface IPropertiesModifier

extends IProvider

An interface to be implemented by the property modifier classes. A property modifier is responsible for modifying properties, contributed by a property provider(s). A property modifier is attached to a property provider(s). After the propety provider is done with property contribution, the modifier is applied to the properties, in order to write-protect and/or set flags and/or override display names. If the modifier is to be applied to all providers - the XML declaration of the modifier should specify the class of the provider as a '*'.

Method Summary
`void` `apply(ICompositePropertySource propertySource)` Apply code `ICompositePropertySource`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### apply

    void apply(ICompositePropertySource propertySource)

  Apply code `ICompositePropertySource`

  Parameters:
    `propertySource` - `ICompositePropertySource` to be applied

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.